# include "minigui.ch"

FUNCTION connect2mysqldb(host,user,password,dbname)
local dbo1 := nil
default dbname := ""
dbo1 := tmysqlserver():new(AllTrim(host),AllTrim(user),AllTrim(password))
IF dbo1:NetErr()
   msginfo(dbo1:ERROR())
   RETURN nil
ENDIF
if len(alltrim(dbname)) > 0
   dbo1:selectdb(dbname)
   IF dbo1:NetErr()
      msginfo(dbo1:ERROR())
      RETURN nil
   ENDIF
endif    
//msginfo("Successfully Connected to the MySQL Server")
RETURN dbo1
	
function mysql_sql(dbo1,qstr)
local table := nil
local currow := nil
local tablearr := {}
local rowarr := {}
local curdateformat := set(_SET_DATEFORMAT)
local i := 0
local j := 0
if dbo1 == nil
   return nil
endif
set date ansi
table := dbo1:query(qstr)
if table:neterr()
   msgstop(table:error())
   table:destroy()
   return tablearr
else
   if table:lastrec() > 0
      asize(tablearr,0)
      for i := 1 to table:lastrec()
         asize(rowarr,0)     
         currow := table:getrow(i)
         for j := 1 to table:fcount()         
            aadd(rowarr,currow:fieldget(j))
         next j
         aadd(tablearr,aclone(rowarr))
      next i
   endif
   set(_SET_DATEFORMAT,curdateformat)
   table:destroy()
   return tablearr
endif
set(_SET_DATEFORMAT,curdateformat)
return tablearr

function mysql_miscsql(dbo1,qstr)
local curdateformat := set( _SET_DATEFORMAT)
if dbo1 == nil
   return nil
endif
set date ansi
table := dbo1:query(qstr)
set( _SET_DATEFORMAT,curdateformat)
if table:NetErr()
    msgstop(table:ERROR())
    table:destroy()
    return  .f.
endif
table:destroy()
return .t.



